ode-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alex Boisvert" <boisv...@intalio.com>
Subject Re: Apache ODE Harness Test
Date Fri, 11 Jul 2008 23:46:06 GMT
Howdy,

You can actually run Buildr with JDK 1.6 on JRuby.  In general, JRuby should
get you going on pretty much all platforms.

We've done a fair bit amount of testing on Windozes, Linuses, Solarii,
AIXians and HPUXes (including IBM JDKs) and everything works.   Most (all?)
issues we found were not related to the core of the engine (e.g. BPEL tests)
but rather on the edge and within the integration layers, where
platform-specific configuration issues such as hard/soft OS limits, network
settings and file-system idiosyncrasies creep up.

Your mileage may vary.

alex


On Thu, Jul 10, 2008 at 12:35 PM, Zaiwen Gong <zaiwen@hotmail.com> wrote:

> I have asked this question in another thread, but haven't received any
> reply so far. So I want to single it out here:
>
> In http://ode.apache.org/building-ode.html,  it talks about the harness
> test which are the unit tests that have already been run to build the binary
> distribution and guarantee its stability.
>
> I would like to know more details: on what operating systems have you run
> the unit test: Windows, Linux, Solaris, Aix, HP? With what version of JDK:
> 1.5, 1.6? On the website, it says "Note that for now, even though ODE can
> run on JDK 1.6.x, building ODE only works with JDK 1.5.x.". Does that mean
> the unit test has only been run with JDK 1.5.x? Has it been run with IBM JDK
> 1.5.x on AIX?
> Thanks!
> Zaiwen
> _________________________________________________________________
> Making the world a better place one message at a time.
> http://www.imtalkathon.com/?source=EML_WLH_Talkathon_BetterPlace

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message